Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.mapper
Class MappingData

    java.lang.Object
      org.apache.tomcat.util.http.mapper.MappingData

public class MappingData
extends java.lang.Object

Mapping data.

Author:
  Remy Maucherat

Field Summary
`java.lang.Object` | `context`
`MessageBytes` | `contextPath`
`java.lang.Object` | `host`
`boolean` | `jspWildCard`
`MessageBytes` | `pathInfo`
`MessageBytes` | `redirectPath`
`MessageBytes` | `requestPath`
`java.lang.Object` | `wrapper`
`MessageBytes` | `wrapperPath`

Constructor Summary
`MappingData()`

Method Summary
`void` | `recycle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### host

    public java.lang.Object host

### context

    public java.lang.Object context

### wrapper

    public java.lang.Object wrapper

### jspWildCard

    public boolean jspWildCard

### contextPath

    public MessageBytes contextPath

### requestPath

    public MessageBytes requestPath

### wrapperPath

    public MessageBytes wrapperPath

### pathInfo

    public MessageBytes pathInfo

### redirectPath

    public MessageBytes redirectPath

Constructor Detail

### MappingData

    public MappingData()

Method Detail

### recycle

    public void recycle()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.